/* Browser.h */

#pragma once

#include <stdlib.h>
#include <stdio.h>

// Macros to make life easy
#define Allocate(aType) (aType *) NewPtr(sizeof(aType))
#define Deallocate(Var) if (Var) { DisposPtr(Var); Var = NULL;}

#define MAX_STRING 200

typedef struct a {
	FILE	*fp;
	char	 date[MAX_STRING];
	char	 from[MAX_STRING];
	char	 subject[MAX_STRING];
	struct a *next;
	long	 startAt;
	long	 endAt;
} BrowserItem, *BrowserItemPtr;


typedef struct b {
	char	fname[64];		// file name
	short	vRefNum;		// volume ref.
	FILE	*fp;			// file pointer
	long	numArticles;	// count of items

	BrowserItemPtr topItem;
} BrowserDir;

Boolean equalstr(register char *s, register char *t, int n);
Boolean BuildBrowserIndex(BrowserDir	*dir);
