/****
 * CBrowserDoc.h
 *
 *	Document class for a typical application.
 *
 ****/

#define	_H_CBrowserDoc			/* Include this file only once */
#include <CDocument.h>
#include <CApplication.h> 
#include "CDisplayText.h"
#include "CDisplayIndex.h"
#include "Browser.h"

struct CBrowserDoc : CDocument {

	long index_displayed;
	CDisplayIndex	*itsListIndex;
	CDisplayText	*itsMessage;

				/** Construction **/
	void        IBrowserDoc(CApplication *aSupervisor, Boolean printable);

	void		NewFile(void);
	void		OpenFile(SFReply *macSFReply);
	void		Dispose();
	void		BuildWindow(BrowserDir dir);

	virtual void	DoCommand(long theCommand);
	void		UpdateMenus();
	Boolean		ConfirmClose(Boolean quitting);
};