/****
 * CDisplayIndex.h
 *
 *	A text edit pane for a tiny editor.
 *
 ****/


#define _H_CDisplayIndex

#include "CSelectLine.h"
#include "Browser.h"

struct CDisplayIndex : CSelectLine {

	BrowserDir	itsDir;
								/** Contruction/Destruction **/
	void	IDisplayIndex(CView *anEnclosure, CBureaucrat *aSupervisor,
				short vLoc, short vHeight, BrowserDir theDir, long index_displayed);

	void	SetIndex(long index_displayed);
	void	Dispose(void);

	void	SelectionChanged(void);
};
